import { Content, Instance as TippyInstance } from 'tippy.js';
import { Directive } from 'vue';
declare const _mode: unique symbol;
declare const _tippy: unique symbol;
declare global {
    interface HTMLElement {
        [_mode]?: 'inline';
        [_tippy]?: TippyInstance;
    }
}
export type BadgeBinding = Content | number | undefined;
declare const BadgeDirective: Directive<HTMLElement, BadgeBinding>;
export { BadgeDirective, BadgeDirective as vBadge };
